Subject: Re: IPoIB: Fix multicast packet drops before join is complete

From: Roland Dreier <[email-masked]>
Date: Fri, 05 Jun 2009 14:13:25 -0700

> This is actually better than IPoIB there is nothing before
 > the initial traffic that arrives. In the IPoIB case 3 packets arrive
 > suggesting to the other side that the link is okay.

So maybe we should drop the *oldest* packet on queue overflow?  Would
that make things better?

 - R.